org.eclipse.ease.ui.handler

## Class LoadModule

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.ease.ui.handler.LoadModule

All Implemented Interfaces:
  IHandler, IHandler2

    public class LoadModule
    extends AbstractHandler
    implements IHandler

Pulldown handler to load/ list modules.

### Field Summary

Fields
`static java.lang.String` `COMMAND_ID`
`static java.lang.String` `PARAMETER_NAME`

### Constructor Summary

Constructors
Constructor and Description
`LoadModule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `execute(ExecutionEvent event)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.IHandler

`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener`

### Field Detail

#### COMMAND_ID

    public static final java.lang.String COMMAND_ID

See Also:
  Constant Field Values

#### PARAMETER_NAME

    public static final java.lang.String PARAMETER_NAME

See Also:
  Constant Field Values

### Constructor Detail

#### LoadModule

    public LoadModule()

### Method Detail

#### execute

    public final java.lang.Object execute(ExecutionEvent event)
                                   throws ExecutionException

Specified by:
  `execute` in interface `IHandler`
Throws:
  `ExecutionException`